import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Picker extends StatefulWidget {
  _Picker createState() => new _Picker();
}

class _Picker extends State<Picker> with SingleTickerProviderStateMixin {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('picker'),
      ),
      body: new Column(
        // crossAxisAlignment: CrossAxisAlignment.stretch,
        children: [
          GestureDetector(
            onTap: () {
              MillPicker.year(context: context, initValue: 2002);
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text('选择年'),
            ),
          ),
          GestureDetector(
            onTap: () {
              MillPicker.month(context: context, initValue: 5);
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text('选择月'),
            ),
          ),
          GestureDetector(
            onTap: () {
              MillPicker.date(
                  context: context,
                  title: '选择日期',
                  confirmText: 'ok',
                  onConfirm: (newdate) {
                    print(newdate);
                  });
            },
            child: Container(
              color: Colors.transparent,
              padding: EdgeInsets.all(20),
              child: Text('选择日期'),
            ),
          )
        ],
      ),
    );
  }
}
